local filter = "rvd2" -- Comment out this line to disable the filter.

local list = PackageManager:script_data(("objective"):id(), ("gamedata/objectives"):id())
local output = {}

for _, data in pairs(list) do
	if (data._meta == "objective") and (not filter or string.find(data.id, filter)) then
		output[#output + 1] = ("\n%s = %s\n%s = %s"):format(
			data.text, managers.localization:text(data.text),
			data.description, managers.localization:text(data.description)
		)
	end
end

log(table.concat(output, "\n"))